Name:          openvdb
Version:       11.0.0
Release:       1mamba
Summary:       Sparse volume data structure and tools
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.openvdb.org/
Source:        https://github.com/AcademySoftwareFoundation/openvdb.git/v%{version}/openvdb-%{version}.tar.bz2
License:       MPL-2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblosc-devel
BuildRequires: libboost-devel
BuildRequires: libgcc
BuildRequires: libjemalloc-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtbb-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Sparse volume data structure and tools.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

# Required by vtk
install -d -m0755 %{buildroot}%{_datadir}/cmake/Modules/
ln -s %{_libdir}/cmake/OpenVDB/{OpenVDBUtils,FindOpenVDB,FindBlosc}.cmake %{buildroot}%{_datadir}/cmake/Modules/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/vdb_print

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopenvdb.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/openvdb
%{_includedir}/openvdb/*
%{_libdir}/libopenvdb.a
%{_libdir}/libopenvdb.so
%dir %{_libdir}/cmake/OpenVDB
%{_libdir}/cmake/OpenVDB/*.cmake
%{_datadir}/cmake/Modules/*.cmake
%doc CHANGES README.md

%changelog
* Mon May 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 11.0.0-1mamba
- package created using the webbuild interface
